{- |
Module       : Data.Fixtime
Description  : Fixes to the time package
Copyright    : 2014, Peter Harpending
License      : BSD2
Maintainer   : Peter Harpending <pharpend2@gmail.com>
Stability    : stable
Portability  : Linux

-}

module Data.Fixtime (module Data.Fixtime) where

import Data.Time as Data.Fixtime
import Data.Ord (comparing)

-- Just for reference
-- data ZonedTime = ZonedTime { zonedTimeToLocalTime :: LocalTime
--                            , zonedTimeZone :: TimeZone
--                            }
-- 
-- zonedTimeToUTC :: ZonedTime -> UTCTime

instance Eq ZonedTime where
  (==) t1 t2 = case comparing zonedTimeToUTC t1 t2 of
    EQ -> True
    _ -> False 

instance Ord ZonedTime where
  compare = comparing zonedTimeToUTC
